Hi, i have problems in compiling samba 3.0.23c on an AIX5.3 LPAR
in the configure part i got the following message:

checking for iconv in /usr/lib... yes
checking can we convert from CP850 to UCS2-LE?... no
checking can we convert from IBM850 to UCS2-LE?... no
checking can we convert from ASCII to UCS2-LE?... no
checking can we convert from 646 to UCS2-LE?... no
checking can we convert from UTF-8 to UCS2-LE?... no
checking can we convert from UTF8 to UCS2-LE?... no
configure: WARNING: Sufficient support for iconv function was not
found.
Install libiconv from http://freshmeat.net/projects/libiconv/ for
better charset compatibility!

then all works fine.
When samba is installed and i try with testparm i got the many of the
following errors:
...........
init_iconv: Conversion from UTF-16LE to ISO8859-1 not supported
init_iconv: Attempting to replace with conversion from UTF-16LE to
ASCII
init_iconv: Conversion from ISO8859-1 to UTF-16LE not supported
init_iconv: Attempting to replace with conversion from ASCII to
UTF-16LE
init_iconv: Conversion from ISO8859-1 to ASCII not supported
.............
and so on.


Any ideas what to do ??

Thanks in advance

Wolfgang